import 'package:json_annotation/json_annotation.dart';

part 'httpMessage.g.dart';

@JsonSerializable()
class HttpMessage {
    HttpMessage();

    String id;
    String content;
    String kefu_avator;
    String kefu_name;
    String mes_type;
    String time;
    String visitor_avator;
    String visitor_name;
    
    factory HttpMessage.fromJson(Map<String,dynamic> json) => _$HttpMessageFromJson(json);
    Map<String, dynamic> toJson() => _$HttpMessageToJson(this);
}
